body {
    margin: 0;
    padding: 0;
    font-family: Arial, sans-serif;
    height: 100%;
  font-family: Arial, sans-serif;
  background-color: rgb(255, 254, 254);
}

header {
background-color: black;
color: white;
display: flex;
justify-content: space-between;
padding: 0; /* No padding vertical para que los elementos hijos se puedan expandir completamente */
align-items: stretch; /* Asegurarse de que los hijos se estiren para llenar el contenedor padre */
}
.separator {
    margin: 0 10px;
}

.separator {
margin: 0 10px;
color: white; /* Asegurarse de que el separador sea visible si es necesario */
}

.internet-banking {
background-color: red;
color: white;
display: flex;
align-items: center; /* Alineación vertical del texto */
padding: 0 10px; /* Solo padding horizontal */
margin: 0; /* No margin */
flex: none; /* No permitir que el elemento crezca o se encoja */
}

/* Asegurarse de que el texto dentro del botón se expanda con el elemento */
.internet-banking span {
flex-grow: 1; /* Hacer que el span ocupe todo el espacio disponible */
display: block; /* Permitir que el padding se aplique correctamente */
padding: 10px 0; /* Padding vertical para dar altura al botón */
font-size: small;
}

.internet-banking {
    background-color: red;
    cursor: pointer;
}
.internet-banking:hover {
    background-color: darkred;
}

/* Asegurarse de que los elementos de la izquierda también se expandan verticalmente */
header > div:first-child {
display: flex;
align-items: center;
flex-grow: 1;
}

header > div:first-child span {
padding: 20px 0; /* Esto dará altura a los elementos y los centrará verticalmente */
}

.menu-item {
    cursor: pointer;
}
.menu-item:hover {
    text-decoration: underline;
    font-style: strong;
}

.bottom-nav { /* Clases para la navegación superior e inferior */
    display: flex;
    justify-content: space-around;
    align-items: flex-start;
    padding: 10px 20px; /* Padding horizontal para dar espacio, padding vertical reducido */
    color: black;
    left: 5%;
}
.bottom-nav {
    background-color: white; /* Fondo para la navegación inferior */
}

.bottom-nav-empresas { /* Clases para la navegación superior e inferior */
    display: flex;
    justify-content: space-around;
    align-items: flex-start;
    padding: 10px 20px; /* Padding horizontal para dar espacio, padding vertical reducido */
    color: white;
    left: 5%;
}
.bottom-nav-empresas {
    background-color: black; /* Fondo para la navegación inferior */
}

.boton-inferior {
    cursor: pointer;
}
.boton-inferior:hover {
    font-style: strong;
    background-color: #ededed;
}
.separator-bottom {
    color: #ededed;
}

#seguros:hover ~ .menu-desplegable {
display: block; /* Muestra el menú */
}

/* Posiciona relativamente el contenedor padre para que el menú absoluto se posicione en relación a él */
.boton-inferior {
position: relative;
display: inline-block;
}


/* Muestra el menú cuando se pase el ratón sobre el botón */
.boton-inferior:hover .seguros,
.boton-inferior:hover .hazteCliente {
display: block;
}

/* Estilos para los títulos */
.menu-desplegable {
display: none; /* Oculta el menú por defecto */
position: fixed;
top: 200% ; /* Ajusta esto al tamaño de tu barra de navegación */
left: 0;
width: 100vw; /* El menú ocupará el ancho completo de la ventana */
background-color: #ededed;
box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2);
z-index: 9999; /* Z-index alto para asegurarse de que el menú se muestre sobre otros elementos */
}

.links {
    color: white; /* Cambia el color del texto a azul */
    text-decoration: none; /* Elimina el subrayado del enlace */
    /* font-weight: bold; */
}

/* Marging y padding */

.mt-1 {
    margin-top: 0.25rem;
}

.mt-2 {
    margin-top: 0.5rem;
}

.mt-3 {
    margin-top: 0.75rem;
}

.mt-4 {
    margin-top: 1rem;
}

.mt-5 {
    margin-bottom: 1.25rem;
}

.mb-1 {
    margin-bottom: 0.25rem;
}

.mb-2 {
    margin-bottom: 0.5rem;
}

.mb-3 {
    margin-bottom: 0.75rem;
}

.mb-4 {
    margin-bottom: 1rem;
}

.mb-5 {
    margin-bottom: 1.25rem;
}

.mr-1 {
    margin-right: 0.25rem;
}

.mr-2 {
    margin-right: 0.5rem;
}

.mr-3 {
    margin-right: 0.75rem;
}

.mr-4 {
    margin-right: 1rem;
}

.mr-5 {
    margin-right: 1.25rem;
}

.ml-1 {
    margin-left: 0.25rem;
}

.ml-2 {
    margin-left: 0.5rem;
}

.ml-3 {
    margin-left: 0.75rem;
}

.ml-4 {
    margin-left: 1rem;
}

.ml-5 {
    margin-left: 1.25rem;
}

.text-white {
    color: white;
}

.lenguajes {
    margin-left: auto;
}

.button {
    display: flex;
    width: 100%;
    align-items: center;
    border: none;
    background-color: transparent;
    padding: 0;
    font-family: "UniversNext",Arial,sans-serif;
    font-size: .875rem;
    line-height: 1.25rem;
    color: #fff
}

.menu-arrow {
    margin-left: 0.625rem;
    display: inline-flex;
    position: relative;
    flex-shrink: 0;
    width: 1.125rem;
    height: 1.125rem;
}

.content {
  text-align: center;
  padding-top: 50px;
}

.main-title {
  margin-bottom: 20px;
}

.buttons {
  margin: 0 auto;
  display: inline-block;
}

.btn {
  padding: 10px 20px;
  margin: 5px;
  border: 2px solid grey;
  border-radius: 20px;
  background-color: white;
  color: black;
  cursor: pointer;
  font-size: 16px;
  outline: none;
  transition: background-color 0.3s, color 0.3s;
}

.btn.selected {
  background-color: #333333;
  color: white;
}

.btn::before {
  content: "";
  display: inline-block;
  visibility: hidden;
}

.btn.selected::before {
  content: "✓ ";
  visibility: visible;
}

.card-container {
  display: flex;
  justify-content: center;
  gap: 20px;
  margin-top: 20px;
}

.card {
  position: relative;
  width: 340px;
  height: 380px;
  overflow: hidden;
  cursor: pointer;
  background: rgba(0, 0, 0, 0.6);
  transition: background-color 0.3s ease;
}

.card img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: opacity 0.3s ease;
}

.card-overlay {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  padding: 10px;
  background: rgba(0, 0, 0, 0); 
  transition: background 0.3s ease, transform 0.3s ease;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
}

.card-title {
  font-size: 24px;
  color: white;
  margin: 0;
  margin-bottom: 25px;
}

.card-description {
  font-size: 14px;
  color: white;
  display: none; 
}

.card:hover {
  background: rgba(0, 0, 0, 1);
}

.card:hover .card-overlay {
  transform: translateY(-100%); 
}

.card:hover .card-description {
  display: block; 
}

.card:hover img {
  opacity: 0.01; 
}

.carousel-container {
    position: relative;
    width: 80%;
    margin: 0 auto;
    overflow: hidden;
}

.carousel {
    display: flex;
    transition: transform 0.5s ease;
}

.card {
    margin-top: 30px;
    position: relative;
    color: white;
    display: flex;
    flex-direction: column;
    flex: 0 0 auto;
    width: 440px;
    height: 400px;
    background-color: lightblue;
    /* Cambia el color de fondo según necesites */
    margin-right: 20px;
    /* Espacio entre las cards */
    text-align: center;
    justify-content: center;
    align-items: center;
    background-size: cover; /* Ajusta la imagen de fondo para cubrir completamente la tarjeta */
    background-position: center;
    transition: ease;
    transition-duration: 600ms;
}


.hover-text{
    opacity: 0;
    content: '';
    display: none;
    opacity: 0; /* Por defecto, el texto está oculto */
    transition: opacity 0.3s ease;
}


.card:hover .hover-text{
    opacity: 1;
    content: normal;
    display: flex;
}


.card:hover{
    height: 450px;
    margin-top: 5px;
}

.h1s{
    font-size: 30px;
    }

.ps{
    font-size: 20px;
}

button {

    top: 50%;
    transform: translateY(-50%);
    background: transparent;
    border: none;
    font-size: 40px;
    cursor: pointer;
}

.prev {
    color: white;

    left: 10px;
    background-color: rgb(196, 196, 196);
    margin: 5px;
    border-radius: 100%;
    padding-left: 18px; 
    padding-right: 18px;
    padding-bottom: 5px;
    
}

.next {
    color: white;
    
    right: 10px;
    background-color: rgb(0, 0, 0);
    margin: 5px;
    border-radius: 100%;
    padding-left: 18px;
    padding-right: 18px;
    padding-bottom: 5px;
    
}





.buttons-container{
    position: relative;

    display: flex;
    background-color: white;
    margin: 30px auto;
    width: 80%;
    height: 30vh;
    align-items: center;
    justify-content: space-between;
    flex-direction: row;
   


}

.buttons{
    display: flex;
    flex-direction: column;
    align-self: flex-end;
    display: flex;
    flex-direction: row;
    position: relative;
    

}

.vertodos{
    border: solid 1px;
    padding: 10px;
    width: fit-content;

}

.primer{
    font-size: 40px;
    position: relative;
    padding: 10px;
    margin-left: 10px;
}


.primer::before {
    content: "";
    position: absolute; /* Cambia a posición absoluta */
    top: 0; /* Alinea la barra con la parte superior del texto */
    left: -10px; /* Coloca la barra ligeramente a la izquierda del texto */
    height: 100%; /* Altura igual al texto */
    width: 4px; /* Ancho de la barra */
    background-color: rgb(172, 14, 14); /* Color de la barra */
  }
/*Tarea 20*/
.btn-ayuda {
    position: fixed;
    right: -72px; 
    bottom: 50%;
    background-color: #2e6996;
    color: white;
    padding: 20px 20px;
    transform: rotate(90deg);
    z-index: 999;
    border: none;
}

.btn-ayuda span {
    display: block;
    white-space: nowrap;
    margin-right: 0px;
    margin-bottom: 0px;
    font-size: 16px;
    font-style: bold;
}

.btn-ayuda-expandido {
    height: min-content;
    background-color: #2e6996;
    color: white;
    padding: 10px 20px;
    transform: rotate(90deg);
    margin-top: 220px;
    translate: 69px;
    border: none;
    
}

.btn-ayuda-expandido span {
    white-space: nowrap;
    font-size: 16px;
    font-style: bold;
}

.ventana-ayuda {
    position: fixed;
    margin-top: 6%;
    right: 0;
    top: 0;
    width: 50%;
    height: 100%;
    z-index: 1000;
    display: none;
}

.ventana-ayuda-header {
    display: flex;
    justify-content: flex-end;
}

.btn-cerrar {
    background-color: #2e6996;
    color: white;
    border: none;
    padding: 5px 12px;
    cursor: pointer;
    border-radius: 5px;
    margin-bottom: 5px;
    margin-right: 5px;
}

.ventana-ayuda-body {
    display: flex;
}

.ventana-ayuda-izquierda {
    width: 40%;
    padding: 10px;
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
    background-color:  #f4f4f4;
    border-right: 5px solid #dcdad8;
    border-left: 10px solid #2e6996;
}

.ventana-ayuda-derecha {
    width: 60%;
    padding: 10px;
    background-color: #f4f4f4;
}

.ventana-ayuda-chat {
    height: 70%;
    overflow-y: scroll;
    padding: 10px;
}

.chat-fecha {
    color: #9e9e9e;
    font-size: 12px;
    text-align: right;
    font-weight: 200;
    font-family: Arial, Helvetica, sans-serif;
}

.preguntas-frecuentes {
    font-size: 15px;
    color: #757575;
    font-weight: 500;
    margin-top: 5px;
    font-family: Arial, Helvetica, sans-serif;
    margin-left: 10px;

}

h2 {
    font-family: Arial, Helvetica, sans-serif;
    margin: 0;
    padding: 10px;
    border-top: 2px solid #dcdad8;
    border-bottom: 2px solid #dcdad8;
    margin-top: 8px;
}

.burbuja-mensaje {
    font-size: 14px;
    font-family: Arial, Helvetica, sans-serif;
    padding: 15px;
    background-color:#dcdad8;
    border-radius: 12px;
}

.selector-categoria {
    margin-bottom: 15px;
    margin-left: 10px;
    padding: 10px;
    border-radius: 5px;
    border: 2px solid #dcdad8;
    margin-top: 10px;
}

